      program mpi1

      include 'mpif.h'

      integer nproc, ich, ier

      call MPI_Init(ier)
      call MPI_Comm_size(MPI_COMM_WORLD, nproc, ier)
      call MPI_Comm_rank(MPI_COMM_WORLD, ich, ier)

      write(*,100) ich, nproc
100   format('*** Hallo von Prozessor',I4,' aus',I4)

      call MPI_Finalize(ier)
      end

